=begin
(c) TIG 2011
Permission to use, copy, modify, and distribute this software for 
any purpose and without fee is hereby granted, provided the above
copyright notice appear in all copies.
THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
Script:
  clinestyler.rb
Place it in the ../Plugins/ folder and restart Sketchup...
Usage:
  If a selection includes Guide-Lines [clines] then there is a right-click 
context-menu item called 'ClineStyle...', which opens a drop-down list of 
possible cline-styles - choose one and those selected will now display in 
that style; you can revert to the default, which is also the '_' style but 
its code is 0 rather than 61680.
Donations:
  by PayPal to info @ revitrev.org
Version:
1.0 20110822 First Release.
=end
###
require 'sketchup.rb'
###
module TIG
###
def self.clinestyler(style=0)
  Sketchup.active_model.selection.to_a.each{|e|
    e.stipple=style if e.class==Sketchup::ConstructionLine
  }
end#def
###
def self.clinestyler?()
  Sketchup.active_model.selection.each{|e|
    return true if e.class==Sketchup::ConstructionLine
  }
  return false
end#def
###
if not file_loaded?(File.basename(__FILE__))
  UI.add_context_menu_handler{|menu|
   if TIG.clinestyler?()
    submenu=menu.add_submenu("ClineStyler...")
    submenu.add_item("<Default>"){TIG.clinestyler(0)}
    submenu.add_item(". . . . . . . . ."){TIG.clinestyler('.')}
    submenu.add_item("- - - - - - -"){TIG.clinestyler('-')}
    submenu.add_item("_ _ _ _ _ _ _"){TIG.clinestyler('_')}
    submenu.add_item("- . - . - . -"){TIG.clinestyler('-.-')}
   end#if
  }
end#if
file_loaded(File.basename(__FILE__))
###
end#module
